package top.baogutang.strategy.strategies;

import top.baogutang.strategy.models.Signal;
import top.baogutang.strategy.models.StrategyContext;

import java.util.Optional;

public interface Strategy {

    String name();

    Optional<Signal> evaluate(StrategyContext ctx);
}
